Package org.eclipse.zest.layouts

# Interface NestedLayoutEntity

All Superinterfaces:
  `Comparable`, `LayoutEntity`, `LayoutItem`

@Deprecated(since="2.0", forRemoval=true) public interface NestedLayoutEntity extends LayoutEntity
Deprecated, for removal: This API element is subject to removal in a future version.
Use `SubgraphLayout` instead. This interface will be removed in a future release.
Extends LayoutEntity to provide methods for dealing with nested entities.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Field Summary

### Fields inherited from interface org.eclipse.zest.layouts.LayoutEntity

`ATTR_PREFERRED_HEIGHT, ATTR_PREFERRED_WIDTH`

## Method Summary

Modifier and Type
Method
Description
`List`
`getChildren()`
Deprecated.
`NestedLayoutEntity`
`getParent()`
Deprecated.
`boolean`
`hasChildren()`
Deprecated.

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.zest.layouts.LayoutEntity

`getHeightInLayout, getLayoutInformation, getWidthInLayout, getXInLayout, getYInLayout, populateLayoutConstraint, setLayoutInformation, setLocationInLayout, setSizeInLayout`

### Methods inherited from interface org.eclipse.zest.layouts.LayoutItem

`getGraphData, setGraphData`

## Method Details

### getParent

@Deprecated NestedLayoutEntity getParent()
Deprecated.
Returns the parent entity.

### getChildren

@Deprecated List getChildren()
Deprecated.
Returns the list of children.

### hasChildren

@Deprecated boolean hasChildren()
Deprecated.
Returns true if this entity has children.